Loading...
Searching...
No Matches
XrdCmsConfig Class Reference

`#include <XrdCmsConfig.hh>`

Inheritance diagram for XrdCmsConfig:
Collaboration diagram for XrdCmsConfig:

## Public Member Functions

| XrdCmsConfig ()
| ~XrdCmsConfig ()
int | asManager ()
int | asMetaMan ()
int | asPeer ()
int | asProxy ()
int | asServer ()
int | asSolo ()
int | Configure0 (XrdProtocol_Config *pi)
int | Configure1 (int argc, char **argv, char *cfn)
int | Configure2 ()
int | ConfigXeq (char *var, XrdOucStream &CFile, XrdSysError *eDest)
void | DoIt ()
int | GenLocalPath (const char *oldp, char *newp)
Public Member Functions inherited from XrdJob
| XrdJob (const char *desc="")
virtual | ~XrdJob ()

## Public Attributes

XrdNetSocket * | AdminSock
int | adsMon
int | adsPort
char * | adsProt
XrdNetSocket * | AnoteSock
int | AskPerf
int | AskPing
char * | cidTag
char * | ConfigFN
int | DELDelay
unsigned long long | DirFlags
int | DiskAsk
int | DiskHWM
short | DiskHWMP
int | DiskLinger
int | DiskMin
short | DiskMinP
bool | DiskOK
bool | DiskSS
int | DiskWT
char | DoHnTry
char | DoMWChk
int | doWait
int | DRPDelay
char * | envCGI
bool | forceRO
const char * | ifList
XrdOucName2Name * | lcl_N2N
char * | LocalRoot
int | LogPerf
int | LUPDelay
int | LUPHold
XrdOucTList * | ManList
int | MaxDelay
int | MaxLoad
int | MaxRetries
int | mrRdrHLen
char * | mrRdrHost
int | mrRdrPort
int | MsgTTL
int | msRdrHLen
char * | msRdrHost
int | msRdrPort
char | MultiSrc
const char * | myDomain
const char * | myInsName
const char * | myInstance
const char * | myName
char * | myPaths
const char * | myProg
char * | myRole
char | myRoleID
char | myRType [4]
const char * | mySID
const char * | mySite
XrdVersionInfo * | myVInfo
const char * | myVNID
char * | N2N_Lib
char * | N2N_Parms
XrdOucTList * | NanList
char | nbSQ
XrdInet * | NetTCP
XrdOss * | ossFS
char * | ossLib
char * | ossParms
int | P_cpu
int | P_dsk
int | P_fuzz
int | P_gsdf
int | P_gshr
int | P_io
int | P_load
int | P_mem
int | P_pag
XrdCmsPList_Anchor | PathList
XrdOucPListAnchor | PexpList
int | PingTick
XrdNetSecurity * | Police
int | PortSUP
int | PortTCP
char * | prfLib
char * | prfParms
XrdOucProg * | ProgCH
XrdOucProg * | ProgMD
XrdOucProg * | ProgMP
XrdOucProg * | ProgMV
XrdOucProg * | ProgRD
XrdOucProg * | ProgRM
XrdOucProg * | ProgTR
int | PSDelay
int | QryDelay
int | QryMinum
XrdNetSocket * | RedirSock
int | RefReset
int | RefTurn
char * | RemotRoot
short | RepStats
char | rsvd [3]
int | RWDelay
XrdOucTList * | SanList
char | sched_AffPC
char | sched_Force
char | sched_Level
char | sched_LoadR
char | sched_Pack
char | sched_RR
int | SRVDelay
int | SUPCount
int | SUPDelay
int | SUPLevel
int | SUSDelay
char | TimeZone
char * | VNID_Lib
char * | VNID_Parms
XrdOucName2Name * | xeq_N2N
Public Attributes inherited from XrdJob
const char * | Comment
XrdJob * | NextJob

## Static Public Attributes

static const int | RepStat_All = 0xffff
static const int | RepStat_frq = 0x0001
static const int | RepStat_shr = 0x0002

## Detailed Description

Definition at line 56 of file XrdCmsConfig.hh.

## Constructor & Destructor Documentation

## XrdCmsConfig()

XrdCmsConfig::XrdCmsConfig | ( |  | ) |

inline

Definition at line 203 of file XrdCmsConfig.hh.

: XrdJob("cmsd startup") {ConfigDefaults();}
XrdJob::XrdJob
XrdJob(const char *desc="")
Definition XrdJob.hh:51

References XrdJob::XrdJob().

Here is the call graph for this function:

## ~XrdCmsConfig()

XrdCmsConfig::~XrdCmsConfig | ( |  | ) |

inline

Definition at line 204 of file XrdCmsConfig.hh.

{}

## Member Function Documentation

## asManager()

int XrdCmsConfig::asManager | ( |  | ) |

inline

Definition at line 66 of file XrdCmsConfig.hh.

{return isManager;}

## asMetaMan()

int XrdCmsConfig::asMetaMan | ( |  | ) |

inline

Definition at line 67 of file XrdCmsConfig.hh.

{return isManager && isMeta;}

## asPeer()

int XrdCmsConfig::asPeer | ( |  | ) |

inline

Definition at line 68 of file XrdCmsConfig.hh.

{return isPeer;}

## asProxy()

int XrdCmsConfig::asProxy | ( |  | ) |

inline

Definition at line 69 of file XrdCmsConfig.hh.

{return isProxy;}

## asServer()

int XrdCmsConfig::asServer | ( |  | ) |

inline

Definition at line 70 of file XrdCmsConfig.hh.

{return isServer;}

## asSolo()

int XrdCmsConfig::asSolo | ( |  | ) |

inline

Definition at line 71 of file XrdCmsConfig.hh.

{return isSolo;}

## Configure0()

int XrdCmsConfig::Configure0 | ( | XrdProtocol_Config * | pi | ) |

Definition at line 204 of file XrdCmsConfig.cc.

{
// Initialize the error message handler and get starting values
//
Say.logger(pi->eDest->logger(0));
Trace.SetLogger(pi->eDest->logger(0));
myName = strdup(pi->myName);
PortTCP = (pi->Port < 0 ? 0 : pi->Port);
myInsName = strdup(pi->myInst);
myProg = strdup(pi->myProg);
Sched = pi->Sched;
if (pi->AdmPath) AdminPath = strdup(pi->AdmPath);
else AdminPath = XrdOucUtils::genPath("/tmp/",
XrdOucUtils::InstName(myInsName,0));
AdminMode = pi->AdmMode;
if (pi->DebugON) Trace.What = TRACE_ALL;
xrdEnv = pi->theEnv;
// Create an xrootd compatabile environment
//
theEnv.PutPtr("XrdScheduler*", Sched);
if (pi->theEnv) theEnv.PutPtr("xrdEnv*", pi->theEnv);
// All done
//
return 0;
}
TRACE_ALL
#define TRACE_ALL
Definition XrdTrace.hh:35
XrdCmsConfig::myInsName
const char * myInsName
Definition XrdCmsConfig.hh:174
XrdCmsConfig::PortTCP
int PortTCP
Definition XrdCmsConfig.hh:97
XrdCmsConfig::myName
const char * myName
Definition XrdCmsConfig.hh:172
XrdCmsConfig::myProg
const char * myProg
Definition XrdCmsConfig.hh:171
XrdOucEnv::PutPtr
void PutPtr(const char *varname, void *value)
Definition XrdOucEnv.cc:298
XrdOucUtils::genPath
static char * genPath(const char *path, const char *inst, const char *psfx=0)
Definition XrdOucUtils.cc:463
XrdOucUtils::InstName
static const char * InstName(int TranOpt=0)
Definition XrdOucUtils.cc:809
XrdProtocol_Config::myName
const char * myName
Definition XrdProtocol.hh:82
XrdProtocol_Config::Sched
XrdScheduler * Sched
Definition XrdProtocol.hh:64
XrdProtocol_Config::Port
int Port
Definition XrdProtocol.hh:73
XrdProtocol_Config::AdmMode
int AdmMode
Definition XrdProtocol.hh:77
XrdProtocol_Config::AdmPath
const char * AdmPath
Definition XrdProtocol.hh:76
XrdProtocol_Config::eDest
XrdSysError * eDest
Definition XrdProtocol.hh:61
XrdProtocol_Config::theEnv
XrdOucEnv * theEnv
Definition XrdProtocol.hh:66
XrdProtocol_Config::myProg
const char * myProg
Definition XrdProtocol.hh:83
XrdProtocol_Config::myInst
const char * myInst
Definition XrdProtocol.hh:81
XrdProtocol_Config::DebugON
char DebugON
Definition XrdProtocol.hh:95
XrdSysError::logger
XrdSysLogger * logger(XrdSysLogger *lp=0)
Definition XrdSysError.hh:141
XrdSysTrace::What
int What
Definition XrdSysTrace.hh:64
XrdSysTrace::SetLogger
void SetLogger(XrdSysLogger *logp)
Definition XrdSysTrace.cc:65
XrdCms::Sched
XrdScheduler * Sched
Definition XrdCmsConfig.cc:114
XrdCms::Say
XrdSysError Say
Definition XrdCmsManager.cc:62
XrdCms::Trace
XrdSysTrace Trace("cms")
Definition XrdCmsManager.cc:64
XrdCms::theEnv
XrdOucEnv theEnv
Definition XrdCmsConfig.cc:102

References XrdProtocol_Config::AdmMode, XrdProtocol_Config::AdmPath, XrdProtocol_Config::DebugON, XrdProtocol_Config::eDest, XrdOucUtils::genPath(), XrdOucUtils::InstName(), XrdSysError::logger(), myInsName, XrdProtocol_Config::myInst, myName, XrdProtocol_Config::myName, myProg, XrdProtocol_Config::myProg, XrdProtocol_Config::Port, PortTCP, XrdCms::Say, XrdCms::Sched, XrdProtocol_Config::Sched, XrdCms::theEnv, XrdProtocol_Config::theEnv, XrdCms::Trace, and TRACE_ALL.

Here is the call graph for this function:

## Configure1()

int XrdCmsConfig::Configure1 | ( | int | argc,
|  | char ** | argv,
|  | char * | cfn )

Definition at line 237 of file XrdCmsConfig.cc.

{
/*
Function: Establish phase 1 configuration at start up time.
Input: argc - argument count
argv - argument vector
cfn - optional configuration file name
Output: 0 upon success or !0 otherwise.
*/
int NoGo = 0, immed = 0;
char c, buff[512];
extern int opterr, optopt;
// Process the options
//
opterr = 0; optind = 1;
if (argc > 1 && '-' == *argv[1])
while ((c=getopt(argc,argv,"iw")) && ((unsigned char)c != 0xff))
{ switch(c)
{
case 'i': immed = 1;
break;
case 'w': immed = -1; // Backward compatibility only
break;
default: buff[0] = '-'; buff[1] = optopt; buff[2] = '\0';
Say.Say("Config warning: unrecognized option, ",buff,", ignored.");
}
}
// Accept a single parameter defining the overiding major role
//
if (optind < argc)
{ if (!strcmp(argv[optind], "manager")) isManager = 1;
else if (!strcmp(argv[optind], "server" )) isServer = 1;
else if (!strcmp(argv[optind], "super" )) isServer = isManager = 1;
else Say.Say("Config warning: unrecognized parameter, ",
argv[optind],", ignored.");
}
// Bail if no configuration file specified
//
inArgv = argv; inArgc = argc;
if ((!(ConfigFN = cfn) && !(ConfigFN = getenv("XrdCmsCONFIGFN")))
|| !*ConfigFN)
{Say.Emsg("Config", "Required config file not specified.");
Usage(1);
}
// Establish my instance name
//
sprintf(buff, "%s@%s", XrdOucUtils::InstName(myInsName), myName);
myInstance = strdup(buff);
// This is somewhat poor but we need to establish the default non-blocking
// message queue limit for the cms (this being 30) which can be overriden.
//
XrdSendQ::SetQM(30);
// Print herald
//
Say.Say("++++++ ", myInstance, " phase 1 initialization started.");
// If we don't know our role yet then we must find out before processing the
// config file. This means a double scan, sigh.
//
if (!(isManager || isServer))
if (!(NoGo |= ConfigProc(1)) && !(isManager || isServer))
{Say.Say("Config warning: role not specified; manager role assumed.");
isManager = -1;
}
// Process the configuration file
//
if (!NoGo) NoGo |= ConfigProc();
// Override the trace option
//
if (getenv("XRDDEBUG")) Trace.What = TRACE_ALL;
// Override the wait/nowait from the command line
//
if (immed) doWait = (immed > 0 ? 0 : 1);
// Determine the role
//
if (isManager < 0) isManager = 1;
if (isPeer < 0) isPeer = 1;
if (isProxy < 0) isProxy = 1;
if (isServer < 0) isServer = 1;
// Create a text description of our role for use in messages
//
if (!myRole)
{XrdCmsRole::RoleID rid = XrdCmsRole::noRole;
if (isMeta) rid = XrdCmsRole::MetaManager;
else if (isPeer) rid = XrdCmsRole::Peer;
else if (isProxy)
{if (isManager) rid = (isServer ? XrdCmsRole::ProxySuper
: XrdCmsRole::ProxyManager);
else rid = XrdCmsRole::ProxyServer;
}
else if (isManager)
{if (isManager) rid = (isServer ? XrdCmsRole::Supervisor
: XrdCmsRole::Manager);
}
else rid = XrdCmsRole::Server;
strcpy(myRType, XrdCmsRole::Type(rid));
myRole = strdup(XrdCmsRole::Name(rid));
myRoleID = static_cast<int>(rid);
}
// Export the role IN basic form and expanded form
//
XrdOucEnv::Export("XRDROLE", myRole);
XrdOucEnv::Export("XRDROLETYPE", myRType);
// For managers, make sure that we have a well designated port.
// For servers or supervisors, force an ephemeral port to be used.
//
if (!NoGo)
{if ((isManager && !isServer) || isPeer)
{if (PortTCP <= 0)
{Say.Emsg("Config","port for this", myRole, "not specified.");
NoGo = 1;
}
}
else if ((isManager && isServer)) PortTCP = PortSUP;
else PortTCP = 0;
}
// If we are configured in proxy mode then we are running a shared filesystem
//
if (isProxy) baseFS.Init(XrdCmsBaseFS::DFSys | XrdCmsBaseFS::Immed |
(baseFS.Local() ? XrdCmsBaseFS::Cntrl : 0), 0, 0);
// If we are a server and some scheduling parameters were specified but
// nothing to feed them, give a warning.
//
if (isServer)
{if (P_cpu|P_io|P_load|P_mem|P_pag)
{if (!prfLib && !perfpgm)
Say.Say("Config warning: metric scheduling requested without a "
"metrics supplier!");
} else {
if ( prfLib || perfpgm)
Say.Say("Config warning: metrics supplier specified without "
"any scheduling metrics!");
}
}
// Determine how we ended and return status
//
sprintf(buff, " phase 1 %s initialization %s.", myRole,
(NoGo ? "failed" : "completed"));
Say.Say("------ ", myInstance, buff);
return NoGo;
}
optopt
int optopt
Definition XrdMapCluster.cc:108
optind
int optind
XrdCmsBaseFS::Local
int Local()
Definition XrdCmsBaseFS.hh:125
XrdCmsBaseFS::Immed
static const int Immed
Definition XrdCmsBaseFS.hh:114
XrdCmsBaseFS::Init
void Init(int Opts, int DMlife, int DPLife)
Definition XrdCmsBaseFS.cc:245
XrdCmsBaseFS::Cntrl
static const int Cntrl
Definition XrdCmsBaseFS.hh:112
XrdCmsBaseFS::DFSys
static const int DFSys
Definition XrdCmsBaseFS.hh:113
XrdCmsConfig::ConfigFN
char * ConfigFN
Definition XrdCmsConfig.hh:154
XrdCmsConfig::doWait
int doWait
Definition XrdCmsConfig.hh:136
XrdCmsConfig::PortSUP
int PortSUP
Definition XrdCmsConfig.hh:98
XrdCmsConfig::myRType
char myRType[4]
Definition XrdCmsConfig.hh:169
XrdCmsConfig::P_mem
int P_mem
Definition XrdCmsConfig.hh:108
XrdCmsConfig::P_pag
int P_pag
Definition XrdCmsConfig.hh:109
XrdCmsConfig::myInstance
const char * myInstance
Definition XrdCmsConfig.hh:175
XrdCmsConfig::P_cpu
int P_cpu
Definition XrdCmsConfig.hh:101
XrdCmsConfig::myRole
char * myRole
Definition XrdCmsConfig.hh:170
XrdCmsConfig::P_load
int P_load
Definition XrdCmsConfig.hh:107
XrdCmsConfig::myRoleID
char myRoleID
Definition XrdCmsConfig.hh:168
XrdCmsConfig::prfLib
char * prfLib
Definition XrdCmsConfig.hh:157
XrdCmsConfig::P_io
int P_io
Definition XrdCmsConfig.hh:106
XrdCmsRole::Name
static const char * Name(RoleID rid)
Definition XrdCmsRole.hh:63
XrdCmsRole::RoleID
RoleID
Definition XrdCmsRole.hh:41
XrdCmsRole::ProxyServer
@ ProxyServer
Definition XrdCmsRole.hh:43
XrdCmsRole::Peer
@ Peer
Definition XrdCmsRole.hh:44
XrdCmsRole::ProxyManager
@ ProxyManager
Definition XrdCmsRole.hh:43
XrdCmsRole::Server
@ Server
Definition XrdCmsRole.hh:42
XrdCmsRole::noRole
@ noRole
Definition XrdCmsRole.hh:44
XrdCmsRole::Manager
@ Manager
Definition XrdCmsRole.hh:42
XrdCmsRole::MetaManager
@ MetaManager
Definition XrdCmsRole.hh:41
XrdCmsRole::ProxySuper
@ ProxySuper
Definition XrdCmsRole.hh:43
XrdCmsRole::Supervisor
@ Supervisor
Definition XrdCmsRole.hh:42
XrdCmsRole::Type
static const char * Type(RoleID rid)
Definition XrdCmsRole.hh:78
XrdOucEnv::Export
static int Export(const char *Var, const char *Val)
Definition XrdOucEnv.cc:170
XrdSendQ::SetQM
static void SetQM(unsigned int qmVal)
Definition XrdSendQ.hh:56
XrdSysError::Emsg
int Emsg(const char *esfx, int ecode, const char *text1, const char *text2=0)
Definition XrdSysError.cc:95
XrdSysError::Say
void Say(const char *text1, const char *text2=0, const char *txt3=0, const char *text4=0, const char *text5=0, const char *txt6=0)
Definition XrdSysError.cc:141
XrdCms::baseFS
XrdCmsBaseFS baseFS

References XrdCms::baseFS, XrdCmsBaseFS::Cntrl, ConfigFN, XrdCmsBaseFS::DFSys, doWait, XrdOucEnv::Export(), XrdCmsBaseFS::Immed, XrdOucUtils::InstName(), XrdCmsRole::Manager, XrdCmsRole::MetaManager, myInsName, myInstance, myName, myRole, myRoleID, myRType, XrdCmsRole::Name(), XrdCmsRole::noRole, optind, optopt, P_cpu, P_io, P_load, P_mem, P_pag, XrdCmsRole::Peer, PortSUP, PortTCP, prfLib, XrdCmsRole::ProxyManager, XrdCmsRole::ProxyServer, XrdCmsRole::ProxySuper, XrdCms::Say, XrdCmsRole::Server, XrdSendQ::SetQM(), XrdCmsRole::Supervisor, XrdCms::Trace, TRACE_ALL, and XrdCmsRole::Type().

Here is the call graph for this function:

## Configure2()

int XrdCmsConfig::Configure2 | ( |  | ) |

Definition at line 401 of file XrdCmsConfig.cc.

{
/*
Function: Establish phase 2 configuration at start up time.
Input: None.
Output: 0 upon success or !0 otherwise.
*/
int Who, NoGo = 0;
char *p, buff[512];
std::string envData;
// Add our host name to the env
//
envData += "myHN=";
envData += myName;
// Print herald
//
sprintf(buff, " phase 2 %s initialization started.", myRole);
Say.Say("++++++ ", myInstance, buff);
// Fix up the QryMinum (we hard code 64 as the max) and P_gshr values.
// The QryMinum only applies to a metamanager and is set as 1 minus the min.
//
if (!isMeta) QryMinum = 0;
else if (QryMinum < 2) QryMinum = 0;
else if (QryMinum > 64) QryMinum = 64;
if (P_gshr < 0) P_gshr = 0;
else if (P_gshr > 100) P_gshr = 100;
// Determine who we are. If we are a manager or supervisor start the file
// location cache scrubber.
//
if (QryDelay < 0) QryDelay = LUPDelay;
if (isManager)
NoGo = !Cache.Init(cachelife,LUPDelay,QryDelay,baseFS.isDFS(),emptylife);
// Issue warning if the adminpath resides in /tmp
//
if (!strncmp(AdminPath, "/tmp/", 5))
Say.Say("Config warning: adminpath resides in /tmp and may be unstable!");
// Establish the path to be used for admin functions. It has already been
// qualified by the instance name.
//
p = XrdOucUtils::genPath(AdminPath, (const char *)0, ".olb");
free(AdminPath);
AdminPath = p;
// Setup the admin path (used in all roles)
//
if (!NoGo) NoGo = !(AdminSock = XrdNetSocket::Create(&Say, AdminPath,
(isManager|isPeer ? "olbd.nimda":"olbd.admin"),AdminMode));
// Develop a stable unique identifier for this cmsd independent of the port
//
if (!NoGo)
{if (!(mySID = setupSid())) NoGo = 1;
else {if (QTRACE(Debug))
Say.Say("Config ", "Global System Identification: ", mySID);
if (Config.mySite)
{envData += "&site=";
envData += mySite;
}
}
}
// Create envCGI string for logins
//
envCGI = (envData.length() > 0 ? strdup(envData.c_str()) : 0);
// If we need a name library, load it now
//
if ((LocalRoot || RemotRoot || N2N_Lib) && ConfigN2N()) NoGo = 1;
// Configure the OSS, the base filesystem, and initialize the prep queue
//
if (!NoGo) NoGo = ConfigOSS();
if (!NoGo) baseFS.Start();
if (!NoGo) PrepQ.Init();
// Setup manager or server, as needed
//
if (!NoGo && isManager) NoGo = setupManager();
if (!NoGo && (isServer || ManList)) NoGo = setupServer();
// If we are a solo peer then we have no servers and a lot of space and
// connections don't matter. Only one connection matters for a meta-manager.
// Servers, supervisors, and managers who have a meta manager must wait for
// for the local data server to connect so port mapping occurs. Otherwise,
// we indicate that it doesn't matter as the local server won't connect.
//
if (isPeer && isSolo)
{SUPCount = SUPLevel = 0; Meter.setVirtual(XrdCmsMeter::peerFS);}
else if (isManager)
{Meter.setVirtual(XrdCmsMeter::manFS);
if (isMeta) {SUPCount = 1; SUPLevel = 0;}
if (!ManList) CmsState.Update(XrdCmsState::FrontEnd, 1);
}
if (isManager) Who = (isServer ? -1 : 1);
else Who = 0;
CmsState.Set(SUPCount, Who, AdminPath);
// At this point we will add to the existing manifest file
//
if (!NoGo) NoGo |= Manifest();
// All done, check for success or failure
//
sprintf(buff, " phase 2 %s initialization %s.", myRole,
(NoGo ? "failed" : "completed"));
Say.Say("------ ", myInstance, buff);
// The remainder of the configuration needs to be run in a separate thread
//
if (!NoGo) Sched->Schedule((XrdJob *)this);
// All done
//
return NoGo;
}
QTRACE
#define QTRACE(act)
Definition XrdCmsTrace.hh:49
Debug
bool Debug
Definition XrdSecgsiProxy.cc:95
XrdCmsBaseFS::isDFS
int isDFS()
Definition XrdCmsBaseFS.hh:119
XrdCmsBaseFS::Start
void Start()
Definition XrdCmsBaseFS.cc:379
XrdCmsCache::Init
int Init(int fxHold, int fxDelay, int fxQuery, int seFS, int nxHold)
Definition XrdCmsCache.cc:380
XrdCmsConfig::SUPLevel
int SUPLevel
Definition XrdCmsConfig.hh:83
XrdCmsConfig::P_gshr
int P_gshr
Definition XrdCmsConfig.hh:105
XrdCmsConfig::AdminSock
XrdNetSocket * AdminSock
Definition XrdCmsConfig.hh:198
XrdCmsConfig::envCGI
char * envCGI
Definition XrdCmsConfig.hh:179
XrdCmsConfig::QryMinum
int QryMinum
Definition XrdCmsConfig.hh:80
XrdCmsConfig::QryDelay
int QryDelay
Definition XrdCmsConfig.hh:79
XrdCmsConfig::LUPDelay
int LUPDelay
Definition XrdCmsConfig.hh:73
XrdCmsConfig::mySite
const char * mySite
Definition XrdCmsConfig.hh:178
XrdCmsConfig::RemotRoot
char * RemotRoot
Definition XrdCmsConfig.hh:164
XrdCmsConfig::LocalRoot
char * LocalRoot
Definition XrdCmsConfig.hh:163
XrdCmsConfig::ManList
XrdOucTList * ManList
Definition XrdCmsConfig.hh:182
XrdCmsConfig::mySID
const char * mySID
Definition XrdCmsConfig.hh:176
XrdCmsConfig::N2N_Lib
char * N2N_Lib
Definition XrdCmsConfig.hh:161
XrdCmsConfig::SUPCount
int SUPCount
Definition XrdCmsConfig.hh:82
XrdCmsMeter::peerFS
@ peerFS
Definition XrdCmsMeter.hh:74
XrdCmsMeter::manFS
@ manFS
Definition XrdCmsMeter.hh:74
XrdCmsMeter::setVirtual
void setVirtual(vType vVal)
Definition XrdCmsMeter.hh:76
XrdCmsPrepare::Init
void Init()
Definition XrdCmsPrepare.cc:302
XrdCmsState::Update
void Update(StateType StateT, int ActivVal, int StageVal=0)
Definition XrdCmsState.cc:258
XrdCmsState::Set
void Set(int ncount)
Definition XrdCmsState.cc:182
XrdCmsState::FrontEnd
@ FrontEnd
Definition XrdCmsState.hh:56
XrdNetSocket::Create
static XrdNetSocket * Create(XrdSysError *Say, const char *path, const char *fn, mode_t mode, int isudp=0)
Definition XrdNetSocket.cc:144
XrdScheduler::Schedule
void Schedule(XrdJob *jp)
Definition XrdScheduler.cc:373
XrdCms::Meter
XrdCmsMeter Meter
Definition XrdCmsMeter.hh:131
XrdCms::Cache
XrdCmsCache Cache
Definition XrdPfcFile.hh:204
XrdCms::CmsState
XrdCmsState CmsState
Definition XrdCmsState.cc:55
XrdCms::PrepQ
XrdCmsPrepare PrepQ
Definition XrdCmsPrepare.cc:54
XrdCms::Config
XrdCmsConfig Config
Definition XrdCmsConfig.cc:108

References XrdJob::XrdJob(), AdminSock, XrdCms::baseFS, XrdCms::Cache, XrdCms::CmsState, XrdCms::Config, XrdNetSocket::Create(), Debug, envCGI, XrdCmsState::FrontEnd, XrdOucUtils::genPath(), LocalRoot, LUPDelay, XrdCmsMeter::manFS, ManList, XrdCms::Meter, myInstance, myName, myRole, mySID, mySite, N2N_Lib, P_gshr, XrdCmsMeter::peerFS, XrdCms::PrepQ, QryDelay, QryMinum, QTRACE, RemotRoot, XrdCms::Say, XrdCms::Sched, SUPCount, and SUPLevel.

Here is the call graph for this function:

## ConfigXeq()

int XrdCmsConfig::ConfigXeq | ( | char * | var,
|  | XrdOucStream & | CFile,
|  | XrdSysError * | eDest )

Definition at line 530 of file XrdCmsConfig.cc.

{
int dynamic;
// Determine whether is is dynamic or not
//
if (eDest) dynamic = 1;
else {dynamic = 0; eDest = &Say;}
// Process items
//
TS_Xeq("delay", xdelay); // Manager, dynamic
TS_Xeq("fxhold", xfxhld); // Manager, dynamic
TS_Xeq("ping", xping); // Manager, dynamic
TS_Xeq("sched", xsched); // Any, dynamic
TS_Xeq("space", xspace); // Any, dynamic
TS_Xeq("trace", xtrace); // Any, dynamic
if (!dynamic)
{
TS_Xeq("adminpath", xapath); // Any, non-dynamic
TS_Xeq("allow", xallow); // Manager, non-dynamic
TS_Xeq("altds", xaltds); // Server, non-dynamic
TS_Xeq("blacklist", xblk); // Manager, non-dynamic
TS_Xeq("cidtag", xcid); // Any, non-dynamic
TS_Xeq("defaults", xdefs); // Server, non-dynamic
TS_Xeq("dfs", xdfs); // Any, non-dynamic
TS_Xeq("export", xexpo); // Any, non-dynamic
TS_Xeq("fsxeq", xfsxq); // Server, non-dynamic
TS_Xeq("localroot", xlclrt); // Any, non-dynamic
TS_Xeq("manager", xmang); // Server, non-dynamic
TS_Xeq("mode", xmode); // Manager, non-dynamic
TS_Lib("namelib", N2N_Lib, &N2N_Parms);
TS_Xeq("nbsendq", xnbsq); // Any non-dynamic
TS_Lib("osslib", ossLib, &ossParms);
TS_Xeq("perf", xperf); // Server, non-dynamic
TS_Xeq("prep", xprep); // Any, non-dynamic
TS_Xeq("prepmsg", xprepm); // Any, non-dynamic
TS_Xeq("remoteroot", xrmtrt); // Any, non-dynamic
TS_Xeq("repstats", xreps); // Any, non-dynamic
TS_Xeq("role", xrole); // Server, non-dynamic
TS_Xeq("seclib", xsecl); // Server, non-dynamic
TS_Xeq("subcluster", xsubc); // Manager, non-dynamic
TS_Xeq("superport", xsupp); // Super, non-dynamic
TS_Xeq("vnid", xvnid); // Server, non-dynamic
TS_Set("wait", doWait); // Server, non-dynamic (backward compat)
TS_unSet("nowait", doWait); // Server, non-dynamic
TS_Xer("whitelist", xblk,true);//Manager, non-dynamic
}
// The following are client directives that we will ignore
//
if (!strcmp(var, "conwait")
|| !strcmp(var, "request")) return 0;
// No match found, complain.
//
if (!strcmp(var, "pidpath"))
{Say.Say("Config warning: 'cms.pidpath' no longer "
"supported; use 'all.pidpath'.");
} else {
Say.Say("Config warning: ignoring unknown directive '", var, "'.");
}
CFile.Echo(false);
return 0;
}
TS_Set
#define TS_Set(x, v)
Definition XrdCmsConfig.cc:196
TS_Lib
#define TS_Lib(x, y, z)
Definition XrdCmsConfig.cc:188
TS_Xer
#define TS_Xer(x, m, v)
Definition XrdCmsConfig.cc:194
TS_unSet
#define TS_unSet(x, v)
Definition XrdCmsConfig.cc:198
TS_Xeq
#define TS_Xeq(x, m)
Definition XrdConfig.cc:160
eDest
static XrdSysError eDest(0,"crypto_")
XrdCmsConfig::ossLib
char * ossLib
Definition XrdCmsConfig.hh:155
XrdCmsConfig::N2N_Parms
char * N2N_Parms
Definition XrdCmsConfig.hh:162
XrdCmsConfig::ossParms
char * ossParms
Definition XrdCmsConfig.hh:156
XrdOucStream::Echo
void Echo()
Definition XrdOucStream.cc:393

References doWait, XrdOucStream::Echo(), eDest, N2N_Lib, N2N_Parms, ossLib, ossParms, XrdCms::Say, TS_Lib, TS_Set, TS_unSet, TS_Xeq, and TS_Xer.

Here is the call graph for this function:

## DoIt()

void XrdCmsConfig::DoIt | ( |  | ) |

virtual

Implements XrdJob.

Definition at line 601 of file XrdCmsConfig.cc.

{
XrdSysSemaphore SyncUp(0);
pthread_t tid;
time_t eTime = time(0);
int wTime;
// Set doWait correctly. We only wait if we have to provide a data path. This
// include server, supervisors, and managers who have a meta-manager, only.
// Why? Because we never get a primary login if we are a mere manager.
//
if (isManager && !isServer && !ManList) doWait = 0;
else if (isServer && adsMon) doWait = 1;
// Start the notification thread if we need to
//
if (AnoteSock)
if (XrdSysThread::Run(&tid, XrdCmsStartAnote, (void *)AnoteSock,
0, "Notification handler"))
Say.Emsg("cmsd", errno, "start notification handler");
// Start the prepare handler
//
if (XrdSysThread::Run(&tid,XrdCmsStartPreparing,
(void *)0, 0, "Prep handler"))
Say.Emsg("cmsd", errno, "start prep handler");
// Start the supervisor subsystem
//
if (XrdCmsSupervisor::superOK)
{if (XrdSysThread::Run(&tid,XrdCmsStartSupervising,
(void *)0, 0, "supervisor"))
{Say.Emsg("cmsd", errno, "start", myRole);
return;
}
}
// Start the ping clock if we are a manager of any kind
//
if (isManager) PingClock::Start();
// Start the admin thread if we need to, we will not continue until told
// to do so by the admin interface.
//
if (AdminSock)
{XrdCmsAdmin::setSync(&SyncUp);
if (XrdSysThread::Run(&tid, XrdCmsStartAdmin, (void *)AdminSock,
0, "Admin traffic"))
Say.Emsg("cmsd", errno, "start admin handler");
SyncUp.Wait();
}
// Start the manager subsystem.
//
if (isManager || isServer || isPeer) XrdCmsManager::Start(ManList);
// Start state monitoring thread
//
if (XrdSysThread::Run(&tid, XrdCmsStartMonStat, (void *)0,
0, "State monitor"))
{Say.Emsg("Config", errno, "create state monitor thread");
return;
}
// If we are a manager then we must do a service enable after a service delay
//
if ((isManager || isPeer) && SRVDelay)
{wTime = SRVDelay - static_cast<int>((time(0) - eTime));
if (wTime > 0) XrdSysTimer::Wait(wTime*1000);
}
// All done
//
if (!SUPCount) CmsState.Update(XrdCmsState::Counts, 0, 0);
CmsState.Enable();
Say.Emsg("Config", myRole, "service enabled.");
}
XrdCmsStartSupervising
void * XrdCmsStartSupervising(void *carg)
Definition XrdCmsConfig.cc:156
XrdCmsStartAnote
void * XrdCmsStartAnote(void *carg)
Definition XrdCmsConfig.cc:146
XrdCmsStartPreparing
void * XrdCmsStartPreparing(void *carg)
Definition XrdCmsConfig.cc:151
XrdCmsStartMonStat
void * XrdCmsStartMonStat(void *carg)
Definition XrdCmsConfig.cc:140
XrdCmsStartAdmin
void * XrdCmsStartAdmin(void *carg)
Definition XrdCmsConfig.cc:142
XrdCmsAdmin::setSync
static void setSync(XrdSysSemaphore *sync)
Definition XrdCmsAdmin.hh:55
XrdCmsConfig::adsMon
int adsMon
Definition XrdCmsConfig.hh:139
XrdCmsConfig::AnoteSock
XrdNetSocket * AnoteSock
Definition XrdCmsConfig.hh:199
XrdCmsConfig::SRVDelay
int SRVDelay
Definition XrdCmsConfig.hh:81
XrdCmsManager::Start
static bool Start(const XrdOucTList *mL)
Definition XrdCmsManager.cc:522
XrdCmsState::Enable
void Enable()
Definition XrdCmsState.cc:85
XrdCmsState::Counts
@ Counts
Definition XrdCmsState.hh:56
XrdCmsSupervisor::superOK
static int superOK
Definition XrdCmsSupervisor.hh:40
XrdCms::PingClock::Start
static void Start()
Definition XrdCmsConfig.cc:176
XrdSysThread::Run
static int Run(pthread_t *, void *(*proc)(void *), void *arg, int opts=0, const char *desc=0)
Definition XrdSysPthread.cc:307
XrdSysTimer::Wait
static void Wait(int milliseconds)
Definition XrdSysTimer.cc:227

References AdminSock, adsMon, AnoteSock, XrdCms::CmsState, XrdCmsState::Counts, doWait, ManList, myRole, XrdSysThread::Run(), XrdCms::Say, XrdCmsAdmin::setSync(), SRVDelay, XrdCms::PingClock::Start(), XrdCmsManager::Start(), SUPCount, XrdCmsSupervisor::superOK, XrdSysSemaphore::Wait(), XrdSysTimer::Wait(), XrdCmsStartAdmin(), XrdCmsStartAnote(), XrdCmsStartMonStat(), XrdCmsStartPreparing(), and XrdCmsStartSupervising().

Here is the call graph for this function:

## GenLocalPath()

int XrdCmsConfig::GenLocalPath | ( | const char * | oldp,
|  | char * | newp )

Definition at line 688 of file XrdCmsConfig.cc.

{
if (lcl_N2N) return -(lcl_N2N->lfn2pfn(oldp, newp, XrdCmsMAX_PATH_LEN));
if (strlen(oldp) >= XrdCmsMAX_PATH_LEN) return -ENAMETOOLONG;
strcpy(newp, oldp);
return 0;
}
XrdCmsMAX_PATH_LEN
#define XrdCmsMAX_PATH_LEN
Definition XrdCmsTypes.hh:46
XrdCmsConfig::lcl_N2N
XrdOucName2Name * lcl_N2N
Definition XrdCmsConfig.hh:152

References lcl_N2N, and XrdCmsMAX_PATH_LEN.

## Member Data Documentation

## AdminSock

XrdNetSocket* XrdCmsConfig::AdminSock

Definition at line 198 of file XrdCmsConfig.hh.

Referenced by Configure2(), and DoIt().

## adsMon

int XrdCmsConfig::adsMon

Definition at line 139 of file XrdCmsConfig.hh.

Referenced by DoIt().

## adsPort

int XrdCmsConfig::adsPort

Definition at line 138 of file XrdCmsConfig.hh.

## adsProt

char* XrdCmsConfig::adsProt

Definition at line 140 of file XrdCmsConfig.hh.

## AnoteSock

XrdNetSocket* XrdCmsConfig::AnoteSock

Definition at line 199 of file XrdCmsConfig.hh.

Referenced by DoIt().

## AskPerf

int XrdCmsConfig::AskPerf

Definition at line 92 of file XrdCmsConfig.hh.

## AskPing

int XrdCmsConfig::AskPing

Definition at line 93 of file XrdCmsConfig.hh.

## cidTag

char* XrdCmsConfig::cidTag

Definition at line 180 of file XrdCmsConfig.hh.

## ConfigFN

char* XrdCmsConfig::ConfigFN

Definition at line 154 of file XrdCmsConfig.hh.

Referenced by Configure1().

## DELDelay

int XrdCmsConfig::DELDelay

Definition at line 75 of file XrdCmsConfig.hh.

## DirFlags

unsigned long long XrdCmsConfig::DirFlags

Definition at line 195 of file XrdCmsConfig.hh.

## DiskAsk

int XrdCmsConfig::DiskAsk

Definition at line 121 of file XrdCmsConfig.hh.

## DiskHWM

int XrdCmsConfig::DiskHWM

Definition at line 117 of file XrdCmsConfig.hh.

## DiskHWMP

short XrdCmsConfig::DiskHWMP

Definition at line 119 of file XrdCmsConfig.hh.

## DiskLinger

int XrdCmsConfig::DiskLinger

Definition at line 120 of file XrdCmsConfig.hh.

## DiskMin

int XrdCmsConfig::DiskMin

Definition at line 116 of file XrdCmsConfig.hh.

## DiskMinP

short XrdCmsConfig::DiskMinP

Definition at line 118 of file XrdCmsConfig.hh.

## DiskOK

bool XrdCmsConfig::DiskOK

Definition at line 124 of file XrdCmsConfig.hh.

## DiskSS

bool XrdCmsConfig::DiskSS

Definition at line 123 of file XrdCmsConfig.hh.

## DiskWT

int XrdCmsConfig::DiskWT

Definition at line 122 of file XrdCmsConfig.hh.

## DoHnTry

char XrdCmsConfig::DoHnTry

Definition at line 112 of file XrdCmsConfig.hh.

## DoMWChk

char XrdCmsConfig::DoMWChk

Definition at line 111 of file XrdCmsConfig.hh.

## doWait

int XrdCmsConfig::doWait

Definition at line 136 of file XrdCmsConfig.hh.

Referenced by Configure1(), ConfigXeq(), and DoIt().

## DRPDelay

int XrdCmsConfig::DRPDelay

Definition at line 76 of file XrdCmsConfig.hh.

## envCGI

char* XrdCmsConfig::envCGI

Definition at line 179 of file XrdCmsConfig.hh.

Referenced by Configure2().

## forceRO

bool XrdCmsConfig::forceRO

Definition at line 126 of file XrdCmsConfig.hh.

## ifList

const char* XrdCmsConfig::ifList

Definition at line 181 of file XrdCmsConfig.hh.

## lcl_N2N

XrdOucName2Name* XrdCmsConfig::lcl_N2N

Definition at line 152 of file XrdCmsConfig.hh.

Referenced by GenLocalPath().

## LocalRoot

char* XrdCmsConfig::LocalRoot

Definition at line 163 of file XrdCmsConfig.hh.

Referenced by Configure2().

## LogPerf

int XrdCmsConfig::LogPerf

Definition at line 95 of file XrdCmsConfig.hh.

## LUPDelay

int XrdCmsConfig::LUPDelay

Definition at line 73 of file XrdCmsConfig.hh.

Referenced by Configure2().

## LUPHold

int XrdCmsConfig::LUPHold

Definition at line 74 of file XrdCmsConfig.hh.

## ManList

XrdOucTList* XrdCmsConfig::ManList

Definition at line 182 of file XrdCmsConfig.hh.

Referenced by Configure2(), and DoIt().

## MaxDelay

int XrdCmsConfig::MaxDelay

Definition at line 87 of file XrdCmsConfig.hh.

## MaxLoad

int XrdCmsConfig::MaxLoad

Definition at line 86 of file XrdCmsConfig.hh.

## MaxRetries

int XrdCmsConfig::MaxRetries

Definition at line 88 of file XrdCmsConfig.hh.

## mrRdrHLen

int XrdCmsConfig::mrRdrHLen

Definition at line 143 of file XrdCmsConfig.hh.

## mrRdrHost

char* XrdCmsConfig::mrRdrHost

Definition at line 142 of file XrdCmsConfig.hh.

## mrRdrPort

int XrdCmsConfig::mrRdrPort

Definition at line 144 of file XrdCmsConfig.hh.

## MsgTTL

int XrdCmsConfig::MsgTTL

Definition at line 89 of file XrdCmsConfig.hh.

## msRdrHLen

int XrdCmsConfig::msRdrHLen

Definition at line 146 of file XrdCmsConfig.hh.

## msRdrHost

char* XrdCmsConfig::msRdrHost

Definition at line 145 of file XrdCmsConfig.hh.

## msRdrPort

int XrdCmsConfig::msRdrPort

Definition at line 147 of file XrdCmsConfig.hh.

## MultiSrc

char XrdCmsConfig::MultiSrc

Definition at line 114 of file XrdCmsConfig.hh.

## myDomain

const char* XrdCmsConfig::myDomain

Definition at line 173 of file XrdCmsConfig.hh.

## myInsName

const char* XrdCmsConfig::myInsName

Definition at line 174 of file XrdCmsConfig.hh.

Referenced by Configure0(), and Configure1().

## myInstance

const char* XrdCmsConfig::myInstance

Definition at line 175 of file XrdCmsConfig.hh.

Referenced by Configure1(), and Configure2().

## myName

const char* XrdCmsConfig::myName

Definition at line 172 of file XrdCmsConfig.hh.

Referenced by Configure0(), Configure1(), and Configure2().

## myPaths

char* XrdCmsConfig::myPaths

Definition at line 165 of file XrdCmsConfig.hh.

## myProg

const char* XrdCmsConfig::myProg

Definition at line 171 of file XrdCmsConfig.hh.

Referenced by Configure0().

## myRole

char* XrdCmsConfig::myRole

Definition at line 170 of file XrdCmsConfig.hh.

Referenced by Configure1(), Configure2(), and DoIt().

## myRoleID

char XrdCmsConfig::myRoleID

Definition at line 168 of file XrdCmsConfig.hh.

Referenced by Configure1().

## myRType

char XrdCmsConfig::myRType[4]

Definition at line 169 of file XrdCmsConfig.hh.

Referenced by Configure1().

## mySID

const char* XrdCmsConfig::mySID

Definition at line 176 of file XrdCmsConfig.hh.

Referenced by Configure2().

## mySite

const char* XrdCmsConfig::mySite

Definition at line 178 of file XrdCmsConfig.hh.

Referenced by Configure2().

## myVInfo

XrdVersionInfo* XrdCmsConfig::myVInfo

Definition at line 149 of file XrdCmsConfig.hh.

## myVNID

const char* XrdCmsConfig::myVNID

Definition at line 177 of file XrdCmsConfig.hh.

## N2N_Lib

char* XrdCmsConfig::N2N_Lib

Definition at line 161 of file XrdCmsConfig.hh.

Referenced by Configure2(), and ConfigXeq().

## N2N_Parms

char* XrdCmsConfig::N2N_Parms

Definition at line 162 of file XrdCmsConfig.hh.

Referenced by ConfigXeq().

## NanList

XrdOucTList* XrdCmsConfig::NanList

Definition at line 183 of file XrdCmsConfig.hh.

## nbSQ

char XrdCmsConfig::nbSQ

Definition at line 113 of file XrdCmsConfig.hh.

## NetTCP

XrdInet* XrdCmsConfig::NetTCP

Definition at line 99 of file XrdCmsConfig.hh.

## ossFS

XrdOss* XrdCmsConfig::ossFS

Definition at line 186 of file XrdCmsConfig.hh.

## ossLib

char* XrdCmsConfig::ossLib

Definition at line 155 of file XrdCmsConfig.hh.

Referenced by ConfigXeq().

## ossParms

char* XrdCmsConfig::ossParms

Definition at line 156 of file XrdCmsConfig.hh.

Referenced by ConfigXeq().

## P_cpu

int XrdCmsConfig::P_cpu

Definition at line 101 of file XrdCmsConfig.hh.

Referenced by Configure1().

## P_dsk

int XrdCmsConfig::P_dsk

Definition at line 102 of file XrdCmsConfig.hh.

## P_fuzz

int XrdCmsConfig::P_fuzz

Definition at line 103 of file XrdCmsConfig.hh.

## P_gsdf

int XrdCmsConfig::P_gsdf

Definition at line 104 of file XrdCmsConfig.hh.

## P_gshr

int XrdCmsConfig::P_gshr

Definition at line 105 of file XrdCmsConfig.hh.

Referenced by Configure2().

## P_io

int XrdCmsConfig::P_io

Definition at line 106 of file XrdCmsConfig.hh.

Referenced by Configure1().

## P_load

int XrdCmsConfig::P_load

Definition at line 107 of file XrdCmsConfig.hh.

Referenced by Configure1().

## P_mem

int XrdCmsConfig::P_mem

Definition at line 108 of file XrdCmsConfig.hh.

Referenced by Configure1().

## P_pag

int XrdCmsConfig::P_pag

Definition at line 109 of file XrdCmsConfig.hh.

Referenced by Configure1().

## PathList

XrdCmsPList_Anchor XrdCmsConfig::PathList

Definition at line 196 of file XrdCmsConfig.hh.

## PexpList

XrdOucPListAnchor XrdCmsConfig::PexpList

Definition at line 197 of file XrdCmsConfig.hh.

## PingTick

int XrdCmsConfig::PingTick

Definition at line 94 of file XrdCmsConfig.hh.

## Police

XrdNetSecurity* XrdCmsConfig::Police

Definition at line 201 of file XrdCmsConfig.hh.

## PortSUP

int XrdCmsConfig::PortSUP

Definition at line 98 of file XrdCmsConfig.hh.

Referenced by Configure1().

## PortTCP

int XrdCmsConfig::PortTCP

Definition at line 97 of file XrdCmsConfig.hh.

Referenced by Configure0(), and Configure1().

## prfLib

char* XrdCmsConfig::prfLib

Definition at line 157 of file XrdCmsConfig.hh.

Referenced by Configure1().

## prfParms

char* XrdCmsConfig::prfParms

Definition at line 158 of file XrdCmsConfig.hh.

## ProgCH

XrdOucProg* XrdCmsConfig::ProgCH

Definition at line 187 of file XrdCmsConfig.hh.

## ProgMD

XrdOucProg* XrdCmsConfig::ProgMD

Definition at line 188 of file XrdCmsConfig.hh.

## ProgMP

XrdOucProg* XrdCmsConfig::ProgMP

Definition at line 189 of file XrdCmsConfig.hh.

## ProgMV

XrdOucProg* XrdCmsConfig::ProgMV

Definition at line 190 of file XrdCmsConfig.hh.

## ProgRD

XrdOucProg* XrdCmsConfig::ProgRD

Definition at line 191 of file XrdCmsConfig.hh.

## ProgRM

XrdOucProg* XrdCmsConfig::ProgRM

Definition at line 192 of file XrdCmsConfig.hh.

## ProgTR

XrdOucProg* XrdCmsConfig::ProgTR

Definition at line 193 of file XrdCmsConfig.hh.

## PSDelay

int XrdCmsConfig::PSDelay

Definition at line 77 of file XrdCmsConfig.hh.

## QryDelay

int XrdCmsConfig::QryDelay

Definition at line 79 of file XrdCmsConfig.hh.

Referenced by Configure2().

## QryMinum

int XrdCmsConfig::QryMinum

Definition at line 80 of file XrdCmsConfig.hh.

Referenced by Configure2().

## RedirSock

XrdNetSocket* XrdCmsConfig::RedirSock

Definition at line 200 of file XrdCmsConfig.hh.

## RefReset

int XrdCmsConfig::RefReset

Definition at line 90 of file XrdCmsConfig.hh.

## RefTurn

int XrdCmsConfig::RefTurn

Definition at line 91 of file XrdCmsConfig.hh.

## RemotRoot

char* XrdCmsConfig::RemotRoot

Definition at line 164 of file XrdCmsConfig.hh.

Referenced by Configure2().

## RepStat_All

const int XrdCmsConfig::RepStat_All = 0xffff

static

Definition at line 210 of file XrdCmsConfig.hh.

## RepStat_frq

const int XrdCmsConfig::RepStat_frq = 0x0001

static

Definition at line 208 of file XrdCmsConfig.hh.

Referenced by XrdCmsCluster::Statt().

## RepStat_shr

const int XrdCmsConfig::RepStat_shr = 0x0002

static

Definition at line 209 of file XrdCmsConfig.hh.

Referenced by XrdCmsCluster::Statt().

## RepStats

short XrdCmsConfig::RepStats

Definition at line 166 of file XrdCmsConfig.hh.

## rsvd

char XrdCmsConfig::rsvd[3]

Definition at line 128 of file XrdCmsConfig.hh.

## RWDelay

int XrdCmsConfig::RWDelay

Definition at line 78 of file XrdCmsConfig.hh.

## SanList

XrdOucTList* XrdCmsConfig::SanList

Definition at line 184 of file XrdCmsConfig.hh.

## sched_AffPC

char XrdCmsConfig::sched_AffPC

Definition at line 132 of file XrdCmsConfig.hh.

## sched_Force

char XrdCmsConfig::sched_Force

Definition at line 134 of file XrdCmsConfig.hh.

## sched_Level

char XrdCmsConfig::sched_Level

Definition at line 133 of file XrdCmsConfig.hh.

## sched_LoadR

char XrdCmsConfig::sched_LoadR

Definition at line 135 of file XrdCmsConfig.hh.

## sched_Pack

char XrdCmsConfig::sched_Pack

Definition at line 131 of file XrdCmsConfig.hh.

## sched_RR

char XrdCmsConfig::sched_RR

Definition at line 130 of file XrdCmsConfig.hh.

## SRVDelay

int XrdCmsConfig::SRVDelay

Definition at line 81 of file XrdCmsConfig.hh.

Referenced by DoIt().

## SUPCount

int XrdCmsConfig::SUPCount

Definition at line 82 of file XrdCmsConfig.hh.

Referenced by Configure2(), and DoIt().

## SUPDelay

int XrdCmsConfig::SUPDelay

Definition at line 84 of file XrdCmsConfig.hh.

## SUPLevel

int XrdCmsConfig::SUPLevel

Definition at line 83 of file XrdCmsConfig.hh.

Referenced by Configure2().

## SUSDelay

int XrdCmsConfig::SUSDelay

Definition at line 85 of file XrdCmsConfig.hh.

## TimeZone

char XrdCmsConfig::TimeZone

Definition at line 167 of file XrdCmsConfig.hh.

## VNID_Lib

char* XrdCmsConfig::VNID_Lib

Definition at line 159 of file XrdCmsConfig.hh.

## VNID_Parms

char* XrdCmsConfig::VNID_Parms

Definition at line 160 of file XrdCmsConfig.hh.

## xeq_N2N

XrdOucName2Name* XrdCmsConfig::xeq_N2N

Definition at line 151 of file XrdCmsConfig.hh.

The documentation for this class was generated from the following files:

- XrdCmsConfig.hh
- XrdCmsConfig.cc